# QPlainTextEdit Class Reference

### [com.trolltech.qt.gui package]

Inherits QAbstractScrollArea.

### Constructor

- void QPlainTextEdit(QWidget parent)
- void QPlainTextEdit(String text, QWidget parent)

### Constructor Properties

- prototype: The QPlainTextEdit prototype object
- NoWrap
- WidgetWidth
- LineWrapMode( value )

### Prototype Object Properties

The QPlainTextEdit prototype object inherits properties from the QAbstractScrollArea prototype object and also has the following properties.

- String anchorAt(QPoint pos)
- bool canPaste()
- QMenu createStandardContextMenu()
- QTextCharFormat currentCharFormat()
- QTextCursor cursorForPosition(QPoint pos)
- QRect cursorRect()
- QTextDocument document()
- void ensureCursorVisible()
- List extraSelections()
- bool find(String exp, FindFlags options)
- Object loadResource(int type, QUrl name)
- void mergeCurrentCharFormat(QTextCharFormat modifier)
- void moveCursor(MoveOperation operation, MoveMode mode)
- void print(QPrinter printer)
- void setCurrentCharFormat(QTextCharFormat format)
- void setDocument(QTextDocument document)
- void setExtraSelections(List selections)
- void setTextCursor(QTextCursor cursor)
- void setWordWrapMode(WrapMode policy)
- QTextCursor textCursor()
- WrapMode wordWrapMode()

### Instance Properties

QPlainTextEdit objects inherit properties from the QPlainTextEdit prototype object and also have the following properties.

- tabChangesFocus
- documentTitle
- undoRedoEnabled
- lineWrapMode
- readOnly
- plainText
- overwriteMode
- tabStopWidth
- cursorWidth
- textInteractionFlags
- blockCount
- maximumBlockCount
- backgroundVisible
- centerOnScroll